Get customer payment references
curl --request GET \
--url https://api.quentli.com/v1/customers/{id}/references \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quentli.com/v1/customers/{id}/references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quentli.com/v1/customers/{id}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "CASH",
"reference": "3106060848166693695492",
"createdAt": "2026-09-24T12:00:00.000Z"
},
{
"type": "OXXO",
"reference": "93001234567890",
"createdAt": "2026-09-24T12:00:00.000Z"
}
]{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Customers
Get customer payment references
Returns distinct, unexpired CASH and OXXO references for a customer. A null expiration is non-expiring.
GET
/
v1
/
customers
/
{id}
/
references
Get customer payment references
Authorizations
Organization API key using Authorization: Bearer sk_....
Path Parameters
Identifier of the customer.
Response
Customer payment references
Payment method for this reference.
Available options:
CASH, OXXO Reference to use when paying.
Example:
"3106060848166693695492"
Creation time of the earliest unexpired instruction with this reference.
Example:
"2026-09-24T12:00:00.000Z"
Was this page helpful?